Subject: Re: MIPS R2k/3k machines....

From: Ralf Baechle <[email-masked]>
Date: Fri, 26 Sep 1997 19:24:35 -0700 (PDT)

Hi,

> 	I too, like the several other people, want to help port Linux to
> the older 2k and 3k systems BUT like all the others I am hindered by a
> total LACK of documentation.  I did manage to find one nice chap who gave
> me some docco. but unfortuantely it was for the R4Ks, however...

I assume you only refer to the system documentation.  The CPU documentation
is available for free from {sgigate,www}.sgi.com and a couple of
Mips silicon manufacturers like {ftp,www}.idt.com and others more.

> 	Does ANYONE have ANY technical INFORMATION which might be of use
> to all of us port of linux.
> 
> 	No matter how small, silly or whatever I'd like to hear about it.

I asked some people at SGI and they'll try to dig out what still
exists.  Somebody came up with a quite nice link for owners of
historic SGI machines.  Check out the site, there is a link to it
on www.linux.sgi.com.

  Ralf

---

From: Regan Russell <[email-masked]>
Date: Mon, 29 Sep 97 11:11:00 S

Look for "The mips programmers refenence manual".  (Faquar and Bunce ?) (   
R2000 / R3000 )
"The MIPS RISC architecture". (Kane ?) ( mentions R4000 but contrates on   
the R2000 / R3000 )
Both books were availible recently.
I have both books at home, (I do complete crap in windoze for a living),   
also look at xspim and spim the
simulator for the R2000, R3000. Think it was on sunsite...

Hope this helps..

PS. Anyone got a spare motherboard for a DS3100 ?

 ----------
From:  linux-mips-request
Sent:  Friday, September 26, 1997 7:24 PM
To:  linux-mips; linux
Subject:  Re: MIPS R2k/3k machines....

Hi,

> me some docco. but unfortuantely it was for the R4Ks, however...

I assume you only refer to the system documentation.  The CPU   
documentation
is available for free from {sgigate,www}.sgi.com and a couple of
Mips silicon manufacturers like {ftp,www}.idt.com and others more.

  Ralf